Bug 912132 - Review Request: perl-Package-Variant - Parameterizable packages
Summary: Review Request: perl-Package-Variant - Parameterizable packages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 911911
Blocks: 912066
TreeView+ depends on / blocked
 
Reported: 2013-02-17 19:45 UTC by Iain Arnell
Modified: 2013-03-03 22:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-03 22:25:08 UTC
psabata: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Comment 1 Iain Arnell 2013-02-17 19:47:08 UTC
Oops. Description:
This module allows you to build packages that return different variations
depending on what parameters are given.

Comment 2 Iain Arnell 2013-02-18 21:04:02 UTC
Now that perl-Import-Into is available, there's a scratch build:

https://koji.fedoraproject.org/koji/taskinfo?taskID=5027195

Comment 3 Petr Šabata 2013-02-20 15:49:30 UTC
You're missing a build-time dependency, perl(Sub::Name).
Required at lib/Package/Variant.pm:53.  This gets called in t/11dynamic-build.t

It also isn't detected by rpmbuild while the package users will most likely want it.

The rest of the package looks good.

Comment 5 Petr Šabata 2013-02-21 09:00:27 UTC
Splendid.  Approving.

Comment 6 Iain Arnell 2013-02-21 12:38:21 UTC
New Package SCM Request
=======================
Package Name: perl-Package-Variant
Short Description: Parameterizable packages
Owners: iarnell
Branches: F17 F18
InitialCC: perl-sig

Comment 7 Gwyn Ciesla 2013-02-21 13:25:57 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2013-02-21 15:40:27 UTC
perl-Package-Variant-1.001002-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-Package-Variant-1.001002-2.fc17

Comment 9 Fedora Update System 2013-02-21 15:40:44 UTC
perl-Package-Variant-1.001002-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-Package-Variant-1.001002-2.fc18

Comment 10 Fedora Update System 2013-02-24 08:25:09 UTC
perl-Package-Variant-1.001002-2.fc17 has been pushed to the Fedora 17 testing repository.

Comment 11 Fedora Update System 2013-03-03 22:25:11 UTC
perl-Package-Variant-1.001002-2.fc17 has been pushed to the Fedora 17 stable repository.

Comment 12 Fedora Update System 2013-03-03 22:40:40 UTC
perl-Package-Variant-1.001002-2.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.